snap2tzx(1)

NAME
snap2tzx — Convert ZX Spectrum snapshot to .tzx tape images

SYNOPSIS
snap2tzx [-1 string] [-2 string] [-b colour] [-g string] [-l string] [-o filename] [-r] [-s speed] [-v] [-$ filename] snapshot

DESCRIPTION
snap2tzx converts a ZX Spectrum snapshot into a .tzx tape image.

OPTIONS

-1 string
    causes string (which has a maximum of 32 characters) to be shown while loading.

-2 string
    causes string (maximum 32 characters) to also be shown while loading.

-b colour
    specifies the border colour while loading.

-g string
    causes string (maximum 32 characters) to be used as the game name while loading.

-l string
    causes string (maximum 8 characters) to be used as the BASIC filename in the loader.

-o filename
    causes the output to be sent to filename.

-r  causes the final line of attribute data in the loading screen to be bright.

-s speed
    specifies the speed of the loader; available values for speed are 0 (1500 bps), 1 (2250 bps), 2 (3000 bps), 3 (4500 bps), 4 (5000 bps) and 5 (6000 bps).

-v  specifies verbose output.

-$ filename
    specifies that the ZX Spectrum screen stored in filename should be used as the loading screen.

-h, --help
    give brief usage help, listing available options.

-V, --version
    output version information.

snapshot
    specifies the snapshot (in a format supported by libspectrum(3)) to be converted.

In any string parameter, the tilde (~) will be converted into a copyright symbol.

BUGS
None known.

SEE ALSO
fuse(1), fuse-utils(1), libspectrum(3), listbasic(1), snapconv(1)

The comp.sys.sinclair Spectrum FAQ, at
http://www.worldofspectrum.org/faq/index.html.

AUTHOR
Philip Kendall (philip-fuse@shadowmagic.org.uk).

Tomaz Kac wrote z802tzx (ftp://ftp.worldofspectrum.org/pub/sinclair/tools/unix/z802tzx-1.2.tar.gz), on which snap2tzx is very heavily based.

Martijn van der Heide wrote the turbo-loading code, originally for Taper (http://www.worldofspectrum.org/taper.html).